## guile-2.0 2.0.3+1

=== debian/changelog ===
guile-2.0 (2.0.3+1-2) unstable; urgency=low

  * Disable SLIB setup for now, since SLIB doesn't support Guile 2.0
    yet.  Thanks to "Aaron M. Ucko" <ucko@debian.org> for the report.
    (Closes: #648680)

  * Add build-deps: libunistring-dev, libgc-dev libffi-dev, and
    pkg-config.  Thanks to "Aaron M. Ucko" <ucko@debian.org> for the
    report, and Svante Signell <svante.signell@telia.com> for an initial
    patch. (Closes: #648679)

  * Automatically extract versions from debian/changelog in
    debian/rules.

  * Create .version and .tarball-version from the values in
    debian/changelog.  Automatically generate a top-level .version and
    .tarball-version based on the values in debian/changelog, so that
    the Guile PACKAGE_VERSION (and output of the version function) will
    include the Debian revision, i.e. (version) => "2.0.3-deb+1-2".

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 22 Nov 2011 21:36:50 -0600

guile-2.0 (2.0.3+1-1) unstable; urgency=low

  * Incorporate new upstream release, and eliminate the DFSG split.  The
    upstream GFDL licensed files no longer have invariant clauses.

  * Adjust debian/* for guile-2.0, and remove alpha and sh4 CFLAGS
    alterations.

  * Finally re-enable threads.

  * Include gc.h rather than gc/gc_version.h in pthread test.  See
    comments in recent gc_version.h.  It should never be included
    directly, and doing so was causing build failures.
    (0003-Include-gc.h-rather-than-gc-gc_version.h-in-pthread-.patch).

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 10 Nov 2011 02:33:11 -0600

guile-1.8 (1.8.8+1-7) unstable; urgency=low

  * Allow guile-1.8 and guile-2.0 manpages to coexist.  Rename the manpage
    from guile.1 to guile-X.Y.1 and use update-alternatives --slave so
    that the Guile manpage will be available via "man guile" or "man
    guile-X.Y".

  * Configure with --disable-error-on-warning.  This fixes build failures
    caused by newer versions of gcc that report new warnings.  Thanks to
    Matthias Klose <doko@debian.org> for the report, ludo@gnu.org (Ludovic
    Courtès) for the fix, and Nobuhiro Iwamatsu <iwamatsu@debian.org> for
    the 1.8.8+1-6.1 NMU which included it.  (Closes: #625355)

  * Add upstream patch to fix sockets.test on non-IPV6 kernels.  Add
    0006-Make-sockets.test-more-robust.patch.  Thanks to Nobuhiro Iwamatsu
    <iwamatsu@nigauri.org> for the report and the pointer to the upstream
    patch. (Closes: #631254)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 09 Nov 2011 19:17:30 -0600

guile-1.8 (1.8.8+1-6) unstable; urgency=low

  * Add "Replaces: guile-1.8-dev" to guile-1.8-libs to accommodate .so
    moves.  Thanks to Marc Glisse <marc.glisse@normalesup.org> for the
    report.  (closes: #628087)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 27 May 2011 18:27:28 -0500

guile-1.8 (1.8.8+1-5) unstable; urgency=low

  * Add a copy of the guile binary to /usr/lib/guile-1.8/bin in
    guile-1.8-libs to support the slib postinst trigger; remove the
    guile-1.8-libs dependency on guile-1.8.  Thanks to Bill Allombert
    <ballombe@debian.org> for the report. (closes: #626167)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 15 May 2011 18:27:49 -0500

guile-1.8 (1.8.8+1-4) unstable; urgency=low

  * Add guile-1.8 dependency to guile-1.8 for slib related postinst code.
    Thanks to Peter De Wachter <pdewacht@gmail.com> for the report.
    (closes: #625243)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 May 2011 12:40:21 -0500

guile-1.8 (1.8.8+1-3) unstable; urgency=low

  * Drop guile-1.8-slib package again, and handle SLIB via a
    guile-1.8-libs /usr/share/slib trigger.  Among other things, these
    changes should fix the recent problems with SLIB support, and should
    also make sure that Guile's SLIB support is adjusted properly whenever
    the slib package is updated.  Thanks to Gert Michael Kulyk
    <gkulyk@yahoo.de> for the report. (closes: #624531)

  * Move libguile?*.so files to guile-1.8-dev now that .la files are gone.
    Guile dynamically loads these libraries via dlopen, so it needs the
    .so files for operations like (use-modules (srfi srfi-13)).  Given the
    way Guile handles the library names upstream (changing the library
    names for ABI changes), putting the .so files in guile-X.Y-libs won't
    cause file conflicts across different major versions.  Thanks to
    Tomasz Melcer <liori@exroot.org> for the report. (closes: #622280)

  * Rename debian/*.lintian to debian/*.lintian-overrides; update
    overrides.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 May 2011 21:55:44 -0500

guile-1.8 (1.8.8+1-2) unstable; urgency=low

  * Don't access uninitialized memory in scm_to_sockaddr().
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.

  * Add flex as a build dependency.
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 27 Apr 2011 22:26:20 -0500

guile-1.8 (1.8.8+1-1) unstable; urgency=low

  * Incorporate upstream release 1.8.8. (closes: #616694)

  * Switch to 3.0 (quilt) source format.

  * Rewrite debian/rules to use "dh $@"; update debian/compat to 8, and
    let dh_auto* handle as much as possible.

  * Depend on libltdl-dev and libgmp-dev, not libltdl3-dev and libgmp3-dev.
    Thanks to Jordi Mallach <jordi@debian.org> for the fix.

  * Remove *.la files from all debs (wheezy release goal).
    Thanks to Jordi Mallach <jordi@debian.org> for the fix. (closes: #621240)

  * Add guile1.4 conflict to guile-1.8 package.
    Thanks to Jordi Mallach <jordi@debian.org> for the fix. (closes: #523949)

  * Add a homepage field to the control file.
    Thanks to Jordi Mallach <jordi@debian.org> for the suggestion.

  * Make guile-1.8 and guile-1.8-dev depend on current guile-1.8-libs version.
    Thanks to Jordi Mallach <jordi@debian.org> for the patch. (closes: #441241)

  * Restore guile-1.8-slib package now that Guile supports it again.

