## guile-2.0 2.0.5+1

=== debian/changelog ===
guile-2.0 (2.0.5+1-3) unstable; urgency=low

  * Add 0003-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch.
    This should help fix some unpredictable gc-related build failures.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Mar 2012 13:31:03 -0500

guile-2.0 (2.0.5+1-2) unstable; urgency=low

  * Add 0002-Mark-Unused-modules-are-removed-gc-test-as-unresolve.patch.
    This should help fix some unpredictable build failures.  Thanks to
    Julien Cristau <jcristau@debian.org> for the original report against
    guile-1.8 (#653939).

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Mar 2012 11:44:28 -0500

guile-2.0 (2.0.5+1-1) unstable; urgency=low

  * Incorporate upstream version 2.0.5.

  * Delete 0001-Fix-the-SRFI-60-copy-bit-documentation.patch,
    0002-Define-_GNU_SOURCE-to-fix-the-GNU-kFreeBSD-build.patch, and
    0003-Include-gc.h-rather-than-gc-gc_version.h-in-pthread-.patch.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 04 Feb 2012 11:33:28 -0600

guile-2.0 (2.0.3+1-3) unstable; urgency=low

  * Add libgc-dev build dependency to guile-2.0-dev.  Thanks to Daniel
    Hartwig <mandyke@gmail.com> for the report.  (Closes: #651924)

  * Add pkg-config build dependency to guile-2.0-dev.  Thanks to
    rixed@happyleptic.org for the report. (Closes: #655574)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jan 2012 15:03:18 -0600
