## guile-2.0 2.0.7

=== debian/changelog ===
guile-2.0 (2.0.7-0ubuntu2) raring; urgency=low

  * Don't append the package version to the upstream version, breaking
    configuration of depending packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 07:53:18 +0100

guile-2.0 (2.0.7-0ubuntu1) raring; urgency=low

  * New upstream version.
  * Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 11:52:16 +0100
