## guile-2.0 2.0.9

=== debian/changelog ===
guile-2.0 (2.0.9-0ubuntu1) saucy; urgency=low

  * New upstream version.
    - Fix build failure with new texinfo.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 14:45:35 +0200

guile-2.0 (2.0.7-0ubuntu3) saucy; urgency=low

  * Rebuild to pick up new libgc package name

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 12:04:09 +0000
