=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
   --host=$(DEB_HOST_GNU_TYPE) \
   --build=$(DEB_BUILD_GNU_TYPE) \
   --disable-error-on-warning \
+  --disable-silent-rules \
   --prefix=/usr
 
 define checkdir
@@ -140,11 +141,12 @@
 	$(checkdir)
 
 override_dh_autoreconf:
-	echo \
-	  '$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)' > .version
-	cp -a .version .tarball-version
+# DISABLED, breaks version detection code in other packages
+#	echo \
+#	  '$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)' > .version
+#	cp -a .version .tarball-version
 	cd doc/ref && ln -sf guile.texi guile-$(deb_src_eff_ver).texi
-	dh_autoreconf ./autogen.sh
+	dh_autoreconf
 
 override_dh_auto_configure:
 	CFLAGS="$(deb_cflags)" ./configure ${configure_args}
@@ -155,8 +157,6 @@
 
 override_dh_clean:
 	dh_clean $(autogen_install_files) \
-	 .tarball-version \
-	 .version \
 	 doc/ref/autoconf-macros.texi \
 	 doc/ref/guile-$(deb_src_eff_ver).info \
 	 doc/ref/guile-$(deb_src_eff_ver).info-* \
