## guile-2.0 2.0.9%2B1

=== debian/rules ===
--- 
+++ 
@@ -144,9 +144,10 @@
 # DISABLED, breaks version detection code in other packages
 #	echo \
 #	  '$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)' > .version
-#	cp -a .version .tarball-version
+	echo '$(upstream_ver)' > .version
+	cp -a .version .tarball-version
 	cd doc/ref && ln -sf guile.texi guile-$(deb_src_eff_ver).texi
-	dh_autoreconf
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	CFLAGS="$(deb_cflags)" ./configure ${configure_args}
@@ -157,6 +158,9 @@
 
 override_dh_clean:
 	dh_clean $(autogen_install_files) \
+	 .tarball-version \
+	 .version \
+	 doc/ref/effective-version.texi \
 	 doc/ref/autoconf-macros.texi \
 	 doc/ref/guile-$(deb_src_eff_ver).info \
 	 doc/ref/guile-$(deb_src_eff_ver).info-* \
