## guile-2.0 2.0.9+1

=== debian/changelog ===
guile-2.0 (2.0.9+1-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Don't append the package version to the upstream version, breaking
      configuration of depending packages.
    - Configure with --disable-silent-rules.
  * Remove doc/ref/effective-version.texi in the clean target.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Dec 2013 10:24:31 +0100

guile-2.0 (2.0.9+1-1) unstable; urgency=low

  * Incorporate upstream version 2.0.9.

    Delete 0002-Mark-Unused-modules-are-removed-gc-test-as-unresolve.patch.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 03 Jul 2013 19:40:30 -0500
