=== debian/control ===
--- 
+++ 
@@ -27,7 +27,8 @@
 Provides: libguile-dev
 Conflicts: libguile-dev
 Depends: ${shlibs:Depends}, guile-2.0 (= ${binary:Version}), libc6-dev,
- libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, ${misc:Depends}
+ libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
+ pkg-config, ${misc:Depends}
 Description: Development files for Guile 2.0
  This package contains files needed for development using Guile 2.0.
  .
