## guile-2.0 2.0.11+1

=== debian/changelog ===
guile-2.0 (2.0.11+1-10) unstable; urgency=medium

  * Don't handle DEB_BUILD_OPTIONS manually

  * Restore default gcc on arm.  It appears that armhf has been fixed.
    Thanks to Aurelien Jarno <aurel32@debian.org> for the report.  In
    conjunction with switching to the default Debian build flags, it
    looks like armel may work now too.  (Closes: 764532, 792637)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 05 Sep 2015 17:55:26 -0500

guile-2.0 (2.0.11+1-9) unstable; urgency=medium

  * Always use "gcc" in guile-snarf.  Avoid the gcc-4.8 CC override that
    we had to apply for arm (cf. #762238).  Thanks to Julien Cristau
    <jcristau@debian.org> for pointing out the oversight.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 07 Oct 2014 14:44:39 -0500

guile-2.0 (2.0.11+1-8) unstable; urgency=medium

  * Add 0010-web-Keep-the-default-size-for-the-client-s-in-kernel.patch
    to fix the default web client receive buffer size.  Thanks to Mark H
    Weaver <mhw@netris.org> for recommending the patch.

  * Add 0011-Fix-shrinking-of-contiguous-bytevectors-as-from-get-.patch
    to fix a problem when shrinking bytevectors.  Thanks to Mark H
    Weaver <mhw@netris.org> for recommending the patch.

  * Add 0012-Fix-bit-count-bug.patch to fix a bug in bit-count*'s
    argument handling.  Thanks to Mark H Weaver <mhw@netris.org> for
    recommending the patch.

  * Don't warn about ~:p in format strings.  Add
    0013-Handle-p-in-format-warnings.patch so that the analyzer will
    know about the existing ~p support.  Thanks to Mark H Weaver
    <mhw@netris.org> for recommending the patch.

  * Document the use-module #:prefix option.  Thanks to Mark H Weaver
    <mhw@netris.org> for recommending the patch.

  * Fix broken SCM_SMOB_OBJECT_* macros.  Add
    0015-Fix-SCM_SMOB_OBJECT-_-_0_-_1_-_2_-_3_-LOC.patch.  Thanks to
    Mark H Weaver <mhw@netris.org> for recommending the patch.

  * Handle #:optional arg values that refer to earlier args.  Add
    0016-peval-Handle-optional-argument-inits-that-refer-to-p.patch to
    incorporate the upstream fix.  Thanks to Mark H Weaver
    <mhw@netris.org> for recommending the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 06 Oct 2014 10:02:29 -0500

guile-2.0 (2.0.11+1-7) unstable; urgency=medium

  * Add 0009-VM-Allow-the-C-compiler-to-choose-FP_REG-on-ARM.patch to
    incorporate an upstream patch to fix VM register allocation on ARM.
    Thanks to Andreas Barth <aba@ayous.org> for filing a report, and
    Mark H Weaver <mhw@netris.org> for the fix. (Closes: 763115)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 27 Sep 2014 18:32:59 -0500

guile-2.0 (2.0.11+1-6) unstable; urgency=medium

  * Replace some debian/patches with upstream cherry-picks.

    Replace 0003-Fix-alignment-assumptions-and-m68k-register-name.patch
    with 0005-Do-not-assume-that-64-bit-integers-will-be-64-bit-al.patch
    and 0006-VM-Use-register-a3-for-IP_REG-on-m68k.patch.  This also
    extends the alignment fixes to cover more cases.

    Replace 0004-Check-for-libtoolize-rather-than-libtool.patch with
    0007-build-Use-libtoolize-in-autogen.sh.patch.

    Replace 0007-Add-asm-constraint-modifier-to-ASM_MUL-outputs.patch with
    0008-VM-ASM_MUL-for-ARM-Add-earlyclobber-constraint-to-th.patch.

    Thanks to Mark H Weaver <mhw@netris.org> for tracking them down.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 27 Sep 2014 14:03:49 -0500

guile-2.0 (2.0.11+1-5) unstable; urgency=medium

  * Revert to gcc-4.8 on arm{el,hf} to fix FTBFS.
    Right now the build dies with gcc-4.9 like this (cf. #762238):
      /tmp/ccVoWJgV.s: Assembler messages:
      /tmp/ccVoWJgV.s:13691: Error: bad immediate value for offset (4096)
    Thanks to Helmut Grohne <helmut@dedup1.subdivi.de>, Mark H Weaver
    <mhw@netris.org>, and Wookey <wookey@wookware.org> for helping track
    down the problem.

  * Fix the ASM_MUL assembly on arm for gcc-4.9.  See
    0007-Add-asm-constraint-modifier-to-ASM_MUL-outputs.patch for the
    details.  Thanks to Mark H Weaver <mhw@netris.org> for the
    suggestion.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 19 Sep 2014 17:48:23 -0500

guile-2.0 (2.0.11+1-4) unstable; urgency=medium

  * Recognize s390x and sh4 as compilation targets.
    Rename 0006-Recognize-m68k-during-build.patch to
    0006-Recognize-m68k-s390x-and-sh4-as-compilation-targets.patch and
    add the relevant cases.  Thanks to Helmut for reporting the issue.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 18 Sep 2014 17:07:26 -0500

guile-2.0 (2.0.11+1-3) unstable; urgency=medium

  * Make guile-config executable during cross builds by making
    guile-2.0-dev depend on guile-2.0 with :any.  Thanks to Helmut
    Grohne <helmut@dedup1.subdivi.de> for the patch. (Closes: 761479)

  * Add support for m68k via 0006-Recognize-m68k-during-build.patch.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 16 Sep 2014 20:20:12 -0500

guile-2.0 (2.0.11+1-2) unstable; urgency=medium

  * Convert to Multi-Arch (see next two entries). (Closes: 757591)

  [ Peter Pentchev ]
  * Bump the debhelper compatibility level to 9 so that it passes the proper
    multiarch libdir to the GNU configure script.
    Add Multi-Arch: and Pre-Depends: headers to the binary packages as
    appropriate.
    Adapt debian/guile-*.install and debian/rules to the multiarch /usr/lib
    subdirectories.
    Make guile-libs.lintian-overrides a bit less specific, since we cannot
    use the full usr/lib/* path any longer; it changes with multiarch, and
    the contents of this file needs to be exactly the same on all
    architectures so that several guile-2.0-libs:* packages may be installed
    simultaneously.
    Avoid some libtool silliness by not letting it use -rpath at all; it'll
    try to because it "realizes" that "/usr/lib/<multiarch>" != "/usr/lib",
    so we are attempting to install to a non-standard directory, right?

  [Rob Browning]
  * Invoke "make install" directly so we can add INSTALL="install -p" to

