=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Rob Browning <rlb@defaultvalue.org>
-Build-Depends: libtool, debhelper (>= 8), autoconf, automake, dh-autoreconf,
+Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
  libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, texinfo, flex, libunistring-dev, libgc-dev, libffi-dev, pkg-config
 Standards-Version: 3.7.2
 Homepage: http://www.gnu.org/software/guile/
@@ -10,6 +10,7 @@
 Package: guile-2.0
 Section: lisp
 Architecture: any
+Multi-Arch: allowed
 Provides: guile
 Depends: guile-2.0-libs (= ${binary:Version}), ${shlibs:Depends},
  ${misc:Depends}
@@ -26,7 +27,10 @@
 Architecture: any
 Provides: libguile-dev
 Conflicts: libguile-dev
-Depends: ${shlibs:Depends}, guile-2.0 (= ${binary:Version}), libc6-dev,
+Replaces: guile-2.0-libs (<< 2.0.11)
+Breaks: guile-2.0-libs (<< 2.0.11)
+Depends: ${shlibs:Depends}, guile-2.0:any (= ${binary:Version}),
+ guile-2.0-libs (= ${binary:Version}), libc6-dev,
  libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
  pkg-config, ${misc:Depends}
 Description: Development files for Guile 2.0
@@ -40,9 +44,9 @@
 
 Package: guile-2.0-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: guile-2.0-doc-non-dfsg
 Description: Documentation for Guile 2.0
  This package contains the Guile documentation, including the Guile
  Reference Manual.
@@ -56,6 +60,8 @@
 Package: guile-2.0-libs
 Section: lisp
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: guile-2.0-slib
 Provides: guile-2.0-slib
