=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,13 @@
 deb_pkg_basename := guile-$(deb_src_eff_ver)
 deb_guile_bin_path := /usr/bin/guile-$(deb_src_eff_ver)
 
+multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+ifneq ($(multiarch),)
+  march = $(multiarch)/
+else
+  march =
+endif
+
 define deb_sub
   perl -p \
     -e "s|\@UPSTREAM_VER\@|$(upstream_ver)|go;" \
@@ -54,29 +61,14 @@
     -e "s|\@DEB_SRC_MIC_VER\@|$(deb_src_mic_ver)|go;" \
     -e "s|\@DEB_SRC_EFF_VER\@|$(deb_src_eff_ver)|go;" \
     -e "s|\@DEB_PKG_BASENAME\@|$(deb_pkg_basename)|go;" \
+    -e "s|\@MARCH\@|$(march)|go;" \
       < $(1) > $(2)
 endef
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-deb_cflags := -O2 -g
-
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
-
-configure_args = \
-  --host=$(DEB_HOST_GNU_TYPE) \
-  --build=$(DEB_BUILD_GNU_TYPE) \
-  --disable-error-on-warning \
-  --disable-silent-rules \
-  --prefix=/usr
+export DEB_CFLAGS_APPEND := \
+  -DPACKAGE_PACKAGER='"Debian"' \
+  -DPACKAGE_PACKAGER_VERSION='"$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)"' \
+  -DPACKAGE_PACKAGER_BUG_REPORTS='"http://www.debian.org/Bugs/Reporting"'
 
 define checkdir
   dh_testdir debian/guile.postinst
@@ -141,16 +133,15 @@
 	$(checkdir)
 
 override_dh_autoreconf:
-# DISABLED, breaks version detection code in other packages
-#	echo \
-#	  '$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)' > .version
 	echo '$(upstream_ver)' > .version
 	cp -a .version .tarball-version
 	cd doc/ref && ln -sf guile.texi guile-$(deb_src_eff_ver).texi
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	CFLAGS="$(deb_cflags)" ./configure ${configure_args}
+	dh_auto_configure -- --disable-error-on-warning
+        # Let libtool forget about hardcoding -rpath into the libraries
+	sed -i -e "s/^[[:space:]]*hardcode_into_libs=.*/hardcode_into_libs=no/" libtool
 
 override_dh_auto_clean:
         # If Makefile doesn't exist GNUmakefile will abort on distclean.
@@ -160,7 +151,6 @@
 	dh_clean $(autogen_install_files) \
 	 .tarball-version \
 	 .version \
-	 doc/ref/effective-version.texi \
 	 doc/ref/autoconf-macros.texi \
 	 doc/ref/guile-$(deb_src_eff_ver).info \
 	 doc/ref/guile-$(deb_src_eff_ver).info-* \
@@ -172,10 +162,15 @@
 	 tmp1
 
 override_dh_auto_install: $(autogen_install_files)
-	dh_auto_install
+	make DESTDIR="$$(pwd)/debian/tmp" INSTALL='install -p' install
+
+gdb_ext := \
+  debian/$(deb_pkg_basename)-libs/usr/lib/$(march)libguile-$(deb_src_eff_ver).so*-gdb.scm
+gdb_ext_dir := debian/$(deb_pkg_basename)-dev/usr/share/gdb/auto-load
+
 
 override_dh_install: $(autogen_install_files)
-	rm -f debian/tmp/usr/lib/libguile*.la
+	rm -f debian/tmp/usr/lib/$(march)libguile*.la
 	if test -e debian/tmp/usr/share/man/man1/guile.1; then \
 	  mv debian/tmp/usr/share/man/man1/guile.1 \
 	    debian/tmp/usr/share/man/man1/guile-$(deb_src_eff_ver).1; \
@@ -185,16 +180,19 @@
 	  -Xusr/share/info/r5rs.info
 	test ! -e debian/guile-$(deb_src_eff_ver)-doc/usr/share/info/dir
 
-	perl -pi \
-	  -e "s|^#!\s*/usr/bin/guile([^-])|#!$(deb_guile_bin_path)\$$1|o" \
-	  -e ' if $$. == 1;' \
-	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-config \
-	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-snarf \
-	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-tools
+	sed -i'' '0,\|/usr/bin/guile|s||$(deb_guile_bin_path)|' \
+	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-config
 
-	mkdir -p debian/$(deb_pkg_basename)-libs/usr/lib/$(deb_pkg_basename)/bin
+	sed -i'' '0,\|\$${exec_prefix}/bin/guile|s||$(deb_guile_bin_path)|' \
+	  debian/$(deb_pkg_basename)-dev/usr/bin/guild
+
+	mkdir -p debian/$(deb_pkg_basename)-libs/usr/lib/$(march)$(deb_pkg_basename)/bin
 	cp -a debian/$(deb_pkg_basename)/usr/bin/guile \
-	  debian/$(deb_pkg_basename)-libs/usr/lib/$(deb_pkg_basename)/bin
+	  debian/$(deb_pkg_basename)-libs/usr/lib/$(march)$(deb_pkg_basename)/bin
 
 	cd debian/$(deb_pkg_basename)/usr/bin/ \
 	  && mv guile guile-$(deb_src_eff_ver)
+
+	test -e $(gdb_ext)
+	mkdir -p $(gdb_ext_dir)
+	mv $(gdb_ext) $(gdb_ext_dir)
