## guile-2.0 2.0.13%2B1

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: guile-2.0
 Section: interpreters
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
- libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, texinfo, flex, libunistring-dev, libgc-dev, libffi-dev, pkg-config
+ guile-2.0:native <cross>,
+ libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, texinfo, flex,
+ libunistring-dev, libgc-dev, libffi-dev, pkg-config
 Standards-Version: 3.7.2
 Homepage: http://www.gnu.org/software/guile/
