=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
  guile-2.0:native <cross>,
  libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, texinfo, flex,
- libunistring-dev, libgc-dev, libffi-dev, pkg-config
+ libunistring-dev, libgc-dev, libffi-dev, pkg-config,
 Standards-Version: 3.7.2
 Homepage: http://www.gnu.org/software/guile/
